System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.ChannelManagerBase System.ServiceModel.Channels.IChannelFactory

Use this base class to create a custom channel factory.

The class derives from the class and implements the interface for creating channels. The methods handle parameter validation and then delegate to protected, virtual or abstract methods that derived classes can override.

Each of the protected virtual methods is automatically synchronized with respect to the other methods on the interface (including the state transition methods). This means that no additional locking is required to ensure that the object is in a consistent state inside the method body.

Provides a common base implementation for all custom channel factories.

- Constructor
  4.0.0.0

  The default constructor initializes timeout properties with the service model timeout values when exchanging messages. The default value is 1 minute for open, send, and close operations and 10 minutes for the receive operation. Use if you want to specify other values for these operation timeouts.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  Use instead of the default constructor if you want to specify custom values for the open, send, receive, and close operation timeouts instead of using the service model default values.

  Initializes a new instance of the class with specified default communication timeouts.

  The specifying the default timeouts for open, send, receive, and close operations when exchanging messages.
- Property
  4.0.0.0
  System.TimeSpan To be added.

  This value is set when creating a new object. The default constructor sets the property to a value of 1 minute. Use if you want to specify another value for this timeout.

  Gets the default interval of time provided for a close operation to complete.

- Property
  4.0.0.0
  System.TimeSpan To be added.

  This value is set when creating a new object. The default constructor sets the property to a value of 1 minute. Use if you want to specify another value for this timeout.

  Gets the default interval of time provided for an open operation to complete.

- Property
  4.0.0.0
  System.TimeSpan To be added.

  This value is set when creating a new object. The default constructor sets the property to a value of 10 minutes. Use if you want to specify another value for this timeout.

  Gets the default interval of time provided for a receive operation to complete.

- Property
  4.0.0.0
  System.TimeSpan To be added.

  This value is set when creating a new object. The default constructor sets the property to a value of 1 minute. Use if you want to specify another value for this timeout.

  Gets the default interval of time provided for a send operation to complete.

- Method
  4.0.0.0
  T ReferenceTypeConstraint

  Use this to request a typed object such as an interface for setting properties or getting status from the appropriate layer in the channel factory stack. If a layer supports returning the requested object, it returns it. If not, it simply delegates the call down to the next layer in the stack. If it gets to the bottom of the stack and no channel factory layer supported the requested object, then the method returns null.

  This is similar to COM+’s QueryService interface.

  Returns a typed object requested, if present, from the appropriate layer in the channel stack.

  The typed object T requested if it is present or null if it is not.

  The typed object for which the method is querying.
- Method
  4.0.0.0
  System.Void

  The default implementation is empty.

  Inserts processing on a communication object after it transitions to the closing state due to the invocation of a synchronous abort operation.

- Method
  4.0.0.0
  System.IAsyncResult `` `` `` To be added.

  Begins an asynchronous operation to close each of the channels that were created by the factory.

  The that references the asynchronous on close operation.

  The that specifies how long the on close operation has to complete before timing out. The delegate that receives the notification of the asynchronous operation on close completion. An object, specified by the application, that contains state information associated with the asynchronous on close operation.
- Method
  4.0.0.0
  System.Void ``

  The default implementation is empty.

  Inserts processing on a communication object after it transitions into the opening state which must complete within a specified interval of time.

  The that specifies how long the on close operation has to complete before timing out.
- Method
  4.0.0.0
  System.Void `` To be added.

  Completes an asynchronous operation to close channels that were opened by the factory.

  The returned by a call to the method.